Subject: [dhcwg] first version of relay agent encapsulation draft published

From: Ted Lemon <[email-masked]>
Date: Tue, 10 Aug 2010 20:28:08 -0400

I just submitted draft-lemon-dhcpv4-relay-encapsulation-00.txt, which is the version I did prior to the previous IETF meeting in Maastricht.   The reason I submitted this one and not the new one is that there's a bunch of text in this version of the draft that talks about backwards compatibility with existing relay agents that I wanted to preserve in case we decide to revisit that later.

I'll submit the new version of the draft as soon as it's ready; this one won't have the backward compatibility, and will go with David Hankin's proposal to split the packet differently and use the BOOTP message type code to mark relayforward and relayreply messages.